import * as mc from "@minecraft/server";
import * as mcui from "@minecraft/server-ui";

export function sharpnessUI(player){
const sharpnessPage = new mcui.ModalFormData()
let options
sharpnessPage.title("Advanced Enchantment Table")
if (player.level >= 8 && player.level < 16){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels"])}
if (player.level >= 16 && player.level < 24){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels"])}
if (player.level >= 24 && player.level < 32){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels"])}
if (player.level >= 32 && player.level < 40){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels"])}
if (player.level >= 40 && player.level < 48){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels", "Level 5 - Cost 40XP Levels"])}
if (player.level >= 48 && player.level < 56){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels", "Level 5 - Cost 40XP Levels", "Level 6 - Cost 48XP Levels"])}
if (player.level >= 56 && player.level < 64){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels", "Level 5 - Cost 40XP Levels", "Level 6 - Cost 48XP Levels", "Level 7 - Cost 56XP Levels"])}
if (player.level >= 64 && player.level < 72){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels", "Level 5 - Cost 40XP Levels", "Level 6 - Cost 48XP Levels", "Level 7 - Cost 56XP Levels", "Level 8 - Cost 64XP Levels"])}
if (player.level >= 72 && player.level < 80){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels", "Level 5 - Cost 40XP Levels", "Level 6 - Cost 48XP Levels", "Level 7 - Cost 56XP Levels", "Level 8 - Cost 64XP Levels", "Level 9 - Cost 72XP Levels"])}
if (player.level >= 80){sharpnessPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels", "Level 5 - Cost 40XP Levels", "Level 6 - Cost 48XP Levels", "Level 7 - Cost 56XP Levels", "Level 8 - Cost 64XP Levels", "Level 9 - Cost 72XP Levels", "Level 10 - Cost 80XP Levels"])}
if (player.level >= 8){sharpnessPage.show(player).then((formSharpness) => {

   options = formSharpness.formValues[0]
   if (options == 0) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=8,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_1 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=8,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -8L @s[lm=8]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 1) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=8,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_2 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=16,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -16L @s[lm=16]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 2) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=24,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_3 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=24,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -24L @s[lm=24]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 3) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=32,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_4 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=32,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -32L @s[lm=32]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 4) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=40,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_5 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=40,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -40L @s[lm=40]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 5) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=48,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_6 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=48,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -48L @s[lm=48]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 6) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=56,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_7 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=56,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -56L @s[lm=56]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 7) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=64,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_8 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=64,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -64L @s[lm=64]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 8) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=72,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_9 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=72,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -72L @s[lm=72]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 9) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=80,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load sharpness_10 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=80,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -80L @s[lm=80]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   })}else{player.sendMessage("you don't have enough xp, min xp = 8")}
}