import * as mc from "@minecraft/server";
import * as mcui from "@minecraft/server-ui";

export function fireAspectUI(player){
const fireAspectPage = new mcui.ModalFormData()
let options
fireAspectPage.title("Advanced Enchantment Table")
if (player.level >= 8 && player.level < 16){fireAspectPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels"])}
if (player.level >= 16 && player.level < 24){fireAspectPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels"])}
if (player.level >= 24 && player.level < 32){fireAspectPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels"])}
if (player.level >= 32 && player.level < 40){fireAspectPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels"])}
if (player.level >= 40){fireAspectPage.dropdown("Select Your Enchantment Level:\n§eCost XP§4", [ "Level 1 - Cost 8XP Levels", "Level 2 - Cost 16XP Levels", "Level 3 - Cost 24XP Levels", "Level 4 - Cost 32XP Levels", "Level 5 - Cost 40XP Levels"])}
if (player.level >= 8){fireAspectPage.show(player).then((formFireAspect) => {

   options = formFireAspect.formValues[0]
   if (options == 0) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=8,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load fire_aspect_1 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=8,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -8L @s[lm=8]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 1) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=8,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load fire_aspect_2 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=16,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -16L @s[lm=16]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 2) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=24,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load fire_aspect_3 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=24,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -24L @s[lm=24]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 3) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=32,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load fire_aspect_4 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=32,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -32L @s[lm=32]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   if (options == 4) {
     player.runCommandAsync(`gamerule sendcommandfeedback false`)
     player.runCommand(`execute if entity @s[lm=40,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run structure load fire_aspect_5 ~~~`)
     player.runCommandAsync(`execute if entity @s[lm=40,hasitem={item=book,location=slot.weapon.mainhand,slot=0}] run function remove_book`)
     player.runCommandAsync(`xp -40L @s[lm=40]`)
     player.runCommandAsync(`gamerule sendcommandfeedback true`)
   }
   })}else{player.sendMessage("you don't have enough xp, min xp = 8")}
}